Public Member Functions | Public Attributes | Friends | List of all members
PowerPoint7Struct::SlideId Struct Reference

a slide id More...

`#include <PowerPoint7Struct.hxx>`

## Public Member Functions
| SlideId (unsigned long id=0)
bool | isValid () const
| returns true if the id is valid More...
bool | operator< (SlideId const &id) const
| operator< More...
bool | operator== (SlideId const &id) const
| operator== More...
bool | operator!= (SlideId const &id) const
| operator== More...

## Public Attributes
int | m_id
| the slide id More...
bool | m_isMaster
| a flag to know if this is a master slide or a normal slide More...
bool | m_inNotes
| a flag to know if the content is in the notes part More...
bool | m_inHandout
| a flag to know if the content is in the handout part More...

## Friends
std::ostream & | operator<< (std::ostream &o, SlideId const &id)
| operator<< More...

## Detailed Description

a slide id

## Constructor & Destructor Documentation

## ◆ SlideId()

PowerPoint7Struct::SlideId::SlideId | ( | unsigned long | id = `0` | ) |
| inline explicit

## Member Function Documentation

## ◆ isValid()

bool PowerPoint7Struct::SlideId::isValid | ( |  | ) | const
| inline

returns true if the id is valid

Referenced by PowerPoint7ParserInternal::State::addSlide(), PowerPoint7Parser::readNoteAtom(), PowerPoint7Parser::readOutlineTextProps9Atom(), and PowerPoint7Parser::readSlideIdentifier().

## ◆ operator!=()

bool PowerPoint7Struct::SlideId::operator!= | ( | SlideId const & | id | ) | const
| inline

operator==

## ◆ operator<()

bool PowerPoint7Struct::SlideId::operator< | ( | SlideId const & | id | ) | const
| inline

operator<

## ◆ operator==()

bool PowerPoint7Struct::SlideId::operator== | ( | SlideId const & | id | ) | const
| inline

operator==

Referenced by operator!=().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | SlideId const & | id
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_id

int PowerPoint7Struct::SlideId::m_id

the slide id

Referenced by isValid(), operator<(), and operator==().

## ◆ m_inHandout

bool PowerPoint7Struct::SlideId::m_inHandout

a flag to know if the content is in the handout part

Referenced by isValid(), operator<(), operator==(), and PowerPoint7Parser::readHandout().

## ◆ m_inNotes

bool PowerPoint7Struct::SlideId::m_inNotes

a flag to know if the content is in the notes part

Referenced by operator<(), operator==(), PowerPoint7Parser::readNoteAtom(), and PowerPoint7Graph::sendSlide().

## ◆ m_isMaster

bool PowerPoint7Struct::SlideId::m_isMaster

a flag to know if this is a master slide or a normal slide

Referenced by PowerPoint7ParserInternal::State::addSlide(), isValid(), operator<(), and operator==().

The documentation for this struct was generated from the following file:

- PowerPoint7Struct.hxx